Python 2.x multi-versioned modules

This page shows the Python packages status in the transition toward multi-versioned modules for the 2.x interpreters.

Legend:

legacy not yet transited
dual transited
2.6 only doesn't provide 2.7 module
2.7 only doesn't provide 2.6 module

We can stop supporting Python 2.6 when there are no more legacy packages. However, some 2.6-only packages might remain when they provide backports of 2.7 functionality; here is the list of those packages:

py_ordereddict
py_unittest2

Status report: http://buildfarm.opencsw.org/~maciej/python-modules.html (running as a cron job)

Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-ShareAlike 3.0 License